/***************************************************************
 * Name:      EventsMain.h
 * Purpose:   Defines Application Frame
 * Author:    Stefano Smania (smania2000@libero.it)
 * Created:   2010-09-07
 * Copyright: Stefano Smania (http:\\www.frikosystem.net)
 * License:
 **************************************************************/

#ifndef EVENTSMAIN_H
#define EVENTSMAIN_H

//(*Headers(EventsFrame)
#include <wx/sizer.h>
#include <wx/textctrl.h>
#include <wx/button.h>
#include <wx/frame.h>
//*)

#include "Thread.h"

class EventsFrame: public wxFrame
{
    public:

        EventsFrame(wxWindow* parent,wxWindowID id = -1);
        virtual ~EventsFrame();

    private:

        //(*Handlers(EventsFrame)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton2Click(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        //*)

        //(*Identifiers(EventsFrame)
        static const long ID_BUTTON2;
        static const long ID_BUTTON1;
        static const long ID_TEXTCTRL1;
        //*)

        //(*Declarations(EventsFrame)
        wxButton* Button1;
        wxButton* Button2;
        wxTextCtrl* TextCtrl1;
        //*)
        void DoMyEvent(C_MyEvent &event );

        DECLARE_EVENT_TABLE()
};

#endif // EVENTSMAIN_H
